Home » SIRTECH CLASSICS » Jagged Alliance: Unfinished Business » JA2:UB General Talk » Playing or Installing Unfinished Business with 1.13 (How to get UB working with 1.13)
Playing or Installing Unfinished Business with 1.13[message #359160] Mon, 09 March 2020 08:04 Go to next message
MrStitch is currently offline MrStitch

 
Messages:18
Registered:September 2018
Hi guys, I just finished my build of JA2 1.13 ver. 8766 with a few tweaks and other visual elements and feel like ive come close to my perfected version of the game. still playing with a few variables. My question is about Unfinished Business as I never tried to play it for long without the benefits of 1.13. I would like to bring some of the features from 1.13 into UB. I heard you can play the UB campaign through 1.13 but never got it to work. I launched it through the ja2.ini but i get an error that wont let me play. I have the GOG version of UB that i Installed into a seperate folder and would like to mod this folder with 1.13, How does one Install 1.13 onto UB or get UB working launching correctly with the ja2.ini. I have tried installing JA2_113_FullRelease_English_7435 and JA2_113_UpdateForRelease7435_English_7609 over UB but get this error RUNTIME ERROR--PRESS ESC TO EXIT ASSERTION FAILURE IN LINE ./BUTTON SYSTEM.CCP ATTEMPTING TO DO A DEBUG SAVE AS SAVEGAME247.SAV (THIS MAY FAIL) ATTEMPTING TO CREATICONANDTEXTBUTTON WITH INVALID POSITION 689,-137 when i run it through the .ini so if anyone could help me and also others who are trying to get 1.13 running with UB and tell me the steps to take to get it running correctly, i would very much be thankful and enlightened.

Report message to a moderator

Private
Re: Playing or Installing Unfinished Business with 1.13[message #359161 is a reply to message #359160] Mon, 09 March 2020 12:41 Go to previous messageGo to next message
Deleted.

 
Messages:2689
Registered:December 2012
Location: Russian Federation
You should not install 1.13 on UB, it will not work.
Install 7609 over clean vanilla Ja2 1.12, select UB in Ja2.ini, run Ja2_UB.exe which comes with 7609.
For actual unstable it should work the same.



Left this community.

Report message to a moderator

Lieutenant

Re: Playing or Installing Unfinished Business with 1.13[message #359163 is a reply to message #359161] Mon, 09 March 2020 18:53 Go to previous messageGo to next message
MrStitch is currently offline MrStitch

 
Messages:18
Registered:September 2018
by 7609 you mean just the update? I tried that just now but it does not install a copy of the JA2.ini. am i missing something?

Report message to a moderator

Private
Re: Playing or Installing Unfinished Business with 1.13[message #359164 is a reply to message #359163] Mon, 09 March 2020 21:03 Go to previous messageGo to next message
edmortimer is currently offline edmortimer

 
Messages:1536
Registered:January 2015
Location: Home Free
No, he means:

1) Install Jagged Alliance 2 v1.12

2) Install JA2 v1.13 Full Release 7435, overwriting all files.

3) Install JA2 v1.13 Update 7609 for Release 7435, overwriting all files.

4) Run the zPatch.bat file found in the main game folder.

5) You can now run UB using the JA2_UB.exe

6) if you want the latest 1.13, then install that now, overwriting all files

7) You don't have to touch the UB folder, try running it now with the JA2_UB.exe

8) It will use the 1.13 folders as needed.

9) If any part of this is incorrect I hope somebody corrects it as I also have never played UB. shy

Report message to a moderator

Sergeant Major
Re: Playing or Installing Unfinished Business with 1.13[message #359166 is a reply to message #359164] Mon, 09 March 2020 23:33 Go to previous messageGo to next message
MrStitch is currently offline MrStitch

 
Messages:18
Registered:September 2018
Hmmm. doesnt seem to work. i get up to this point

1) Install Jagged Alliance 2 v1.12

2) Install JA2 v1.13 Full Release 7435, overwriting all files.

3) Install JA2 v1.13 Update 7609 for Release 7435, overwriting all files.

4) Run the zPatch.bat file found in the main game folder

Interesting as i never thought to run the .bat had errors the first time then tried again on a new install and with admin privileges and no errors but when i ran the ja2ub.exe it at first looked like it would load something as my screen went black but nothing happened and i had to cancel out using task manager.

Anybody that's managed to get this working care to shed some light?

Report message to a moderator

Private
Re: Playing or Installing Unfinished Business with 1.13[message #359287 is a reply to message #359166] Sat, 28 March 2020 14:41 Go to previous messageGo to next message
DerekC is currently offline DerekC

 
Messages:15
Registered:March 2020
Location: Hong Kong
I did these and was able to get in game:

1) Install Jagged Alliance 2 clean

2) Install JA2 v1.13 Full Release 7435, overwriting all files.

3) Enable UB VFS_CONFIG_INI in ja2.ini

4) Run JA2_UB.exe


I am not able to get UB run correctly with trunk version of 1.13.

Report message to a moderator

Private
Re: Playing or Installing Unfinished Business with 1.13[message #362610 is a reply to message #359287] Sun, 07 March 2021 16:46 Go to previous message
luk3Z is currently offline luk3Z

 
Messages:63
Registered:December 2006
Location: Metavira
You have 4 options to play UB 1.13.

1. You can try with latest beta (JA2 1.13 BETA ENG (Gr_8943) (Dr_2582)):
https://jagged-alliance.pl/plik589/

Quote:

Preferred basis: JA2 1.05 PL or JA2 Gold 1.12 ENG
No additional files are needed for installation. Unpack the modification and copy all files and folders in its main directory directly to the JA2 installation site. We start the game using the "JA2.exe" file.
To play JA2 UB 1.13, first in the INI Editor program, in the upper left corner, change the VFS configuration file to "vfs_config.UB113.ini" and save the changes. We start the game using the JA2 UB.exe file.
2. Get the latest GameDir files from SVN:
http://thepit.ja-galaxy-forum.com/index.php?t=msg&th=20251&goto=309580

3. Here is the old hybrid 1.4 (though I'm not tested it yet):
https://storage.rcs-rds.ro/links/4729f8d6-f44b-42b7-aa3e-e0ddc6deead6?path=%2FJA_UB%2FUB-1.13%2Fv1.4
info: http://thepit.ja-galaxy-forum.com/index.php?t=msg&th=14512&goto=294381&#msg_294381

4. Here is the latest hybrid 1.6 (I need to check it out later):
https://mega.nz/folder/w9YhiaBR#VvW35VdAHsvIJcPNuwZ9Vg/folder/slBC1DwY
info: http://thepit.ja-galaxy-forum.com/index.php?t=msg&th=14512&goto=294381&#msg_294381

Edit.
If you choose hybrid:

How to Install (by Schein):
Quote:

1) Fresh install of Jagged Alliance 2 (NOT Unfinished Business !!!)
2) Download and extract the "ub_113_hybrid_1.4" .7z file into a temporary test folder
3) Copy all files located in the extracted "Hybryda UB 1.13" folder into the main folder of your JA2 install and replace any existing files
4) Double click on the "Set JA2UB v1.13 Campaign.exe" and set the language and the campaign you want to play with and click on "Start" finally
After "Set JA2UB v1.13 Campaign" you can run hybrid by "JA2UB.exe".

Hybrid 1.6 UB 1.13 is in English but it showing in Starter Polish only (this is strange).
It missing 1 folder & you must create it manually by adding "new folder" & rename it to "Polish_Version" in JA2_UB_v1.13_(v1.6)\Data-UB\Language\
Anyway it's working hybrid.

[Updated on: Sat, 04 December 2021 17:58]

Report message to a moderator

Corporal
Previous Topic: is there any mods for UB?
Next Topic: Need Help to install the game under Win10
Goto Forum:
  


Current Time: Sat Dec 10 08:14:30 EET 2022

Total time taken to generate the page: 0.01349 seconds